package com.jeeplus.modules.sg.project.mapper;

import com.jeeplus.core.persistence.BaseMapper;
import com.jeeplus.core.persistence.annotation.MyBatisMapper;
import com.jeeplus.modules.sg.overheadline.entity.JkxlAdjustFee;
import com.jeeplus.modules.sg.overheadline.entity.JkxlDetailFee;
import com.jeeplus.modules.sg.overheadline.entity.Settlement;
import com.jeeplus.modules.sg.project.entity.WbsItem;
import com.jeeplus.modules.sg.project.entity.WbsProject;
import com.jeeplus.modules.sg.project.entity.WbsSelection;
import org.apache.ibatis.annotations.Param;

import java.util.List;


@MyBatisMapper
public interface ProjectMapper extends BaseMapper<WbsProject> {
    List<WbsProject> getList(WbsSelection wbsSelection);
    void updateNum(@Param("number") int number,@Param("id") String id);
//    int update(WbsProject wbsProject);
    List<WbsProject> findByName(String projectName);

    //工程删除
    Integer deleteProject(WbsProject wbsProject);

    //查找工程下所有项目
    List<WbsItem> findItem(String parentId);

    //删除工程下项目
    Integer deleteItem(@Param(value = "wbsItems")List<WbsItem> wbsItems);

    //删除结算
    Integer deleteItemCount(@Param(value = "settlements")List<Settlement> settlements);

//    //删除其他费用表
//    Integer deleteItemDetail(@Param(value = "jkxlDetailFees")List<JkxlDetailFee> jkxlDetailFees);
//
//    //删除差额
//    Integer deleteItemAdjust(@Param(value = "jkxlDetailFees")List<JkxlAdjustFee> jkxlAdjustFees);
}
